GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
policy_abstract.h File Reference

Abstract policy interfaces used to construct reaction networks (DynamicEngine) from seed compositions. More...

`#include "fourdst/atomic/atomicSpecies.h"`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/partition/partition.h"`
`#include "gridfire/utils/logging.h"`
`#include <string>`
`#include <set>`
`#include "gridfire/engine/types/engine_types.h"`
`#include "gridfire/engine/scratchpads/blob.h"`
Include dependency graph for policy_abstract.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | gridfire::policy::ConstructionResults
class | gridfire::policy::NetworkPolicy
| Abstract interface for policies that construct DynamicEngine networks from a seed composition. More...
class | gridfire::policy::ReactionChainPolicy
| Abstract interface encapsulating a set of reactions representing a single chain or pathway. More...
struct | std::formatter< gridfire::policy::NetworkPolicy >

## Namespaces
namespace | gridfire
namespace | gridfire::policy

## Enumerations
enum class | gridfire::policy::NetworkPolicyStatus { gridfire::policy::UNINITIALIZED , gridfire::policy::INITIALIZED_UNVERIFIED , gridfire::policy::MISSING_KEY_REACTION , gridfire::policy::MISSING_KEY_SPECIES , gridfire::policy::INITIALIZED_VERIFIED }
| Lifecycle/verification status for a NetworkPolicy instance. More...

## Functions
std::string | gridfire::policy::NetworkPolicyStatusToString (NetworkPolicyStatus status)

## Detailed Description

Abstract policy interfaces used to construct reaction networks (DynamicEngine) from seed compositions.

This header declares the base interfaces for high-level "policies" that drive automatic network construction and verification. A NetworkPolicy encapsulates the information required to build a production-ready reaction network from an initial composition (seed species and seed reactions) and to return a constructed DynamicEngine ready for use by the solvers.

Concrete policy implementations live in this directory and provide the real behaviour. See for example:

- gridfire/policy/stellar_policy.h (concrete stellar network policy used in many examples)
- gridfire/policy/chains.h (reaction-chain helper policies such as proton-proton, CNO)